package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description 比赛记录表
 * @Author y
 * @Date 2023/3/24 14:58
 */
@Data
@Entity
@Table(name = "follow_cpt_info")
public class FollowCptInfoTable extends BaseTable {

    private Integer serial;

    private Integer type;
    /**
     * 比赛名称
     */
    private String name;
    /**
     * 比赛编号
     */
    private String infoCode;
    /**
     * 比赛开始时间
     */
    private Date startDate;
    /**
     * 比赛结束时间
     */
    private Date endDate;
    /**
     * 报名开始时间
     */
    private Date signStartDate;
    /**
     * 报名结束时间
     */
    private Date signEndDate;
    /**
     * 报名截至时间
     */
    private Date signDeadLine;
    /**
     * 初始奖池
     */
    private Float initialLottery;
    /**
     * 当前奖池
     */
    private Float currentLottery;
    /**
     * 适用的范围（销售或代理编号,逗号隔开）
     */
    private String signScope;
    /**
     * 报名人数
     */
    private Integer signAmount;
    /**
     * 参数人数
     */
    private Integer raceAmount;
    /**
     * 最小入金要求
     */
    private Float minDepositLimit;
    /**
     * 新增账户添加的奖金
     */
    private Float lotteryPerLogin;

    private Integer isOnce;

    /**
     * 落地页地址
     */
    private String pageAddress;

    public static FollowCptInfoTable getInstance(){
        FollowCptInfoTable table = new FollowCptInfoTable();
        table.setInitialLottery(0F);
        table.setCurrentLottery(0F);
        table.setIsOnce(0);
        table.setSignAmount(0);
        table.setRaceAmount(0);
        table.setMinDepositLimit(0F);
        table.setLotteryPerLogin(0F);
        return table;
    }

}
